summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEdward Hervey <edward@collabora.com>2013-10-21 13:37:31 +0200
committerEdward Hervey <edward@collabora.com>2013-10-21 13:37:31 +0200
commitbc4738e5bf23515ab8f5c4724706fef8216a1518 (patch)
tree95485bfd7390b4043ed5ddbc6cddad2cbe571447
parent5d57d777778efeb762389e72b42fbdeb3f043a9a (diff)
ci-build: skip distchek for gst-libav
-rwxr-xr-xci-build.sh18
1 files changed, 10 insertions, 8 deletions
diff --git a/ci-build.sh b/ci-build.sh
index c28db4b..d37b67d 100755
--- a/ci-build.sh
+++ b/ci-build.sh
@@ -223,15 +223,17 @@ make_check()
fi
if test "x$FLAVOR" == "xfull"; then
- echo "+ $1 : make distcheck"
- logname=$LOGDIR/$1-make-distcheck.log
- make distcheck V=1 > $logname 2>&1
+ if test "x$1" != "xgst-libav"; then
+ echo "+ $1 : make distcheck"
+ logname=$LOGDIR/$1-make-distcheck.log
+ make distcheck V=1 > $logname 2>&1
- if test $? -ne 0
- then
- echo "MAKE DISTCHECK FAILURE"
- cat $logname
- exit $ERROR_RETURN
+ if test $? -ne 0
+ then
+ echo "MAKE DISTCHECK FAILURE"
+ cat $logname
+ exit $ERROR_RETURN
+ fi
fi
fi
fi